=== debian/changelog ===
xterm (374-1) unstable; urgency=medium

  * New upstream release.
  * Drop cherry-picked patches.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 17 Oct 2022 19:33:04 +0200
