=== debian/control ===
Source: xterm
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sven Joachim <svenjoac@gmx.de>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
Homepage: https://invisible-island.net/xterm/xterm.html
Build-Depends:
 libncurses-dev,
 libxft-dev (>> 2.1.2), libxrender-dev (>> 1:0.9.0),
 libxaw7-dev,
 libxkbfile-dev,
 libutempter-dev,
 libxcursor-dev,
 libxinerama-dev,
 debhelper-compat (= 13),
 debhelper (>= 13.1~),
 autoconf-dickey (>= 2.52+20210105),
 groff,
 bsdextrautils | bsdmainutils (<< 12.1.1~),
 lynx,
 xorg-docs-core,
 desktop-file-utils,

# Reasons for Build-Depends:
#
# (An "R" to the left of a file specification indicates a file that was removed
# from the upstream source tree when the Debian source package was prepared and
# an "I" to the left of a file specification indicates a file that is
# irrelevant or unused as part of the package build process; such files
# therefore do not actually cause a build-dependency, but are mentioned here for
# completeness.)
#
# Upstream build dependencies on commands are listed first, followed by
# upstream build depenencies on library headers, and then Debian packaging
# infrastructure dependencies.
#
#   libncurses-dev
#       Tekproc.c:#include <menu.h>
#   I   aclocal.m4:#include <termcap.h>],[
#   I   aclocal.m4:#include <curses.h>
#   I   aclocal.m4:#include <term.h>          /* eliminate most BSD hacks */
#       button.c:#include <menu.h>
#       charproc.c:#include <menu.h>
#   I   configure:#include <termcap.h>
#   I   configure:#include <curses.h>
#   I   configure:#include <term.h>           /* eliminate most BSD hacks */
#       fontutils.c:#include <menu.h>
#       main.c:#include <menu.h>
#       menu.c:#include <menu.h>
#       misc.c:#include <menu.h>
#       os2main.c:#include <menu.h>
#       print.c:#include <menu.h>
#       resize.c:#include <termcap.h>
#       resize.c:#include <curses.h>
#       resize.c:#include <curses.h>
#       resize.c:#include <term.h>            /* tgetent() */
#       scrollbar.c:#include <menu.h>
#       util.c:#include <menu.h>
#   libxft-dev (>> 2.1.2)
#       aclocal.m4:#include <X11/Xft/Xft.h>],[
#       configure:#include <X11/Xft/Xft.h>
#       ptyx.h:#include <X11/Xft/Xft.h>
#   libxrender-dev (>> 1:0.9.0)
#       aclocal.m4:#include <X11/extensions/Xrender.h>
#       configure:#include <X11/extensions/Xrender.h>
#   libxaw7-dev
#       main.c:#include <X11/Xaw/Form.h>
#       main.c:#include <X11/Xaw3d/Form.h>
#       main.c:#include <X11/XawPlus/Form.h>
#       menu.c:#include <X11/Xaw/SimpleMenu.h>
#       menu.c:#include <X11/Xaw/Box.h>
#       menu.c:#include <X11/Xaw/SmeBSB.h>
#       menu.c:#include <X11/Xaw/SmeLine.h>
#       menu.c:#include <X11/Xaw/MenuButton.h>
#       menu.c:#include <X11/Xaw/Form.h>
#       menu.c:#include <X11/Xaw3d/SimpleMenu.h>
#       menu.c:#include <X11/Xaw3d/Box.h>
#       menu.c:#include <X11/Xaw3d/SmeBSB.h>
#       menu.c:#include <X11/Xaw3d/SmeLine.h>
#       menu.c:#include <X11/Xaw3d/MenuButton.h>
#       menu.c:#include <X11/Xaw3d/Form.h>
#       menu.c:#include <X11/XawPlus/SimpleMenu.h>
#       menu.c:#include <X11/XawPlus/Box.h>
#       menu.c:#include <X11/XawPlus/SmeBSB.h>
#       menu.c:#include <X11/XawPlus/SmeLine.h>
#       menu.c:#include <X11/XawPlus/MenuButton.h>
#       menu.c:#include <X11/XawPlus/Form.h>
#       os2main.c:#include <X11/Xaw/Form.h>
#       os2main.c:#include <X11/Xaw3d/Form.h>
#       os2main.c:#include <X11/XawPlus/Form.h>
#       scrollbar.c:#include <X11/Xaw/Scrollbar.h>
#       scrollbar.c:#include <X11/Xaw3d/Scrollbar.h>
#       scrollbar.c:#include <X11/XawPlus/Scrollbar.h>
#       Tekproc.c:#include <X11/Xaw/Form.h>
#       Tekproc.c:#include <X11/Xaw3d/Form.h>
#       Tekproc.c:#include <X11/XawPlus/Form.h>
#   libxkbfile-dev
#       data.h:#include <X11/extensions/XKBbells.h>
#   libutempter-dev
#       main.c:#include <utempter.h>
#   libxcursor-dev
#       misc.c:#ifdev HAVE_LIB_XCURSOR
#   libxinerama-dev
#       util.c:#ifdef HAVE_X11_EXTENSIONS_XINERAMA_H
#   xorg-docs-core                  provides X(7) which minstall.sh tries to
#                                   detect
#   debhelper-compat (= 13)         debhelper compat level 13
#   debhelper (>= 13.1~)            dh_installalternatives
#   autoconf-dickey                 regenerate configure
#   groff, bsdextrautils            regenerate ctlseqs.txt
#   lynx                            generates plain-text version of xterm faq
#   desktop-file-utils              for installing xterm.desktop

Package: xterm
Architecture: any
Multi-Arch: foreign
Depends:
 xbitmaps,
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: luit | x11-utils (<< 7.7+6~)
Suggests: xfonts-cyrillic
Provides: x-terminal-emulator
Description: X terminal emulator
 xterm is a terminal emulator for the X Window System.  It provides DEC VT102
 and Tektronix 4014 compatible terminals for programs that cannot use the
 window system directly.  This version implements ISO/ANSI colors and most of
 the control sequences used by DEC VT220 terminals.
 .
 This package provides four commands: xterm, which is the traditional
 terminal emulator; uxterm, which is a wrapper around xterm that is
 intelligent about locale settings (especially those which use the UTF-8
 character encoding), but which requires the luit program from the luit
 package; koi8rxterm, a wrapper similar to uxterm for locales that use the
 KOI8-R character set; and lxterm, a simple wrapper that chooses which of the
 previous commands to execute based on the user's locale settings.
 .
 A complete list of control sequences supported by the X terminal emulator
 is provided in /usr/share/doc/xterm.
 .
 The xterm program uses bitmap images provided by the xbitmaps package.
 .
 Those interested in using koi8rxterm will likely want to install the
 xfonts-cyrillic package as well.
