=== debian/changelog ===
xterm (377-1) unstable; urgency=medium

  [ Sven Joachim ]
  * New upstream release.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libxft-dev and libxrender-dev.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 28 Nov 2022 18:01:50 +0100

xterm (376-1) unstable; urgency=medium

  * New upstream release.
    - Add null-pointer checks in x_strcasecmp and x_strncasecmp, to
      help with error-recovery for a missing font (Closes: #1022942).

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 18 Nov 2022 18:01:10 +0100
