=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Homepage: https://invisible-island.net/xterm/xterm.html
 Build-Depends:
  libncurses-dev,
- libxft-dev (>> 2.1.2), libxrender-dev (>> 1:0.9.0),
+ libxft-dev, libxrender-dev,
  libxaw7-dev,
  libxkbfile-dev,
  libutempter-dev,
