=== debian/changelog ===
xterm (378-1) unstable; urgency=medium

  * New upstream release.
  * Refresh Debian patches.
  * Update years in debian/copyright.
  * Update copy of XTerm FAQ to revision 1.419 (dated 2022/12/15).
  * Bump autoconf-dickey build dependency to (>= 2.52+20210509), as per
    configure.in.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 10 Jan 2023 19:43:51 +0100
