## xterm 379

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $XTermId: Makefile,v 1.98 2022/11/21 00:18:58 tom Exp $
+# $XTermId: Makefile,v 1.100 2023/01/25 01:14:44 tom Exp $
 # $FreeBSD: head/x11/xterm/Makefile 492827 2019-02-13 06:43:36Z ehaupt $
 
 # This is adapted from the FreeBSD port, installing as "xterm-dev" with
@@ -7,7 +7,7 @@
 # and "make makesum".
 
 PORTNAME=	xterm
-PORTVERSION=	377
+PORTVERSION=	379
 CATEGORIES=	x11
 MASTER_SITES=	ftp://ftp.invisible-island.net/xterm/:src1 \
 		https://invisible-mirror.net/archives/xterm/:src1
