=== debian/changelog ===
xterm (379-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 17 Feb 2023 18:01:17 +0100
