=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Sven Joachim <svenjoac@gmx.de>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/xorg-team/app/xterm
 Vcs-Git: https://salsa.debian.org/xorg-team/app/xterm.git
@@ -18,7 +18,7 @@
  libxinerama-dev,
  debhelper-compat (= 13),
  debhelper (>= 13.1~),
- autoconf-dickey (>= 2.52+20210105),
+ autoconf-dickey (>= 2.52+20210509),
  groff,
  bsdextrautils | bsdmainutils (<< 12.1.1~),
  lynx,
