## xterm 382

=== debian/changelog ===
xterm (382-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jun 2023 22:45:34 +0200

xterm (382-2) unstable; urgency=medium

  * Drop alternate build-dependency on bsdmainutils.
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 19 Jun 2023 20:43:23 +0200

xterm (382-1) experimental; urgency=low

  * New upstream release.
  * Add temporary patch RCS-identifiers.diff, reverting some erroneous
    changes to RCS headers which ended up in the upstream tarball by
    mistake.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 01 Jun 2023 19:51:55 +0200

xterm (381-1) experimental; urgency=low

  * New upstream release.
  * Remove old upstream SHA1 signing key C52048C0C0748FEE from
    debian/upstream/signing-key.asc.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 29 May 2023 18:17:36 +0200

xterm (380-1) experimental; urgency=low

  * New upstream release.
    - Drop the -title option from uxterm and koi8rxterm, because that
      interferes with deriving the default title from the -e option
      (Closes: #1031837).  Compensate for this by using the -class option
      to derive a default title.
  * Configure with the --enable-pty-erase option to set the default value
    of the ptyInitialErase resource, rather than by patching XTerm.ad.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 11 May 2023 18:26:42 +0200

xterm (379-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Feb 2023 08:48:39 +0100

xterm (378-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Jan 2023 14:46:34 +0100

xterm (377-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Dec 2022 09:38:40 +0100
