=== debian/changelog ===
xterm (384-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2023 09:45:15 +0200

xterm (384-1) unstable; urgency=medium

  * New upstream release.
    - Correct a step in rendering double-width characters with
      bitmap-fonts (report by Peter Fabinski, Closes: #1039986).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 12 Jul 2023 18:00:23 +0200

xterm (383-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jul 2023 01:12:08 +0200

xterm (383-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch RCS-identifiers.diff, applied upstream.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 30 Jun 2023 17:10:01 +0200
