## xterm 389

=== debian/changelog ===
xterm (389-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jan 2024 08:37:05 +0100

xterm (389-1) unstable; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 03 Jan 2024 17:06:48 +0100

xterm (388-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:50:24 +0200

xterm (388-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 25 Oct 2023 18:10:45 +0200

xterm (387-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 19 Oct 2023 18:48:43 +0200

xterm (386-1) unstable; urgency=medium

  * New upstream release.
  * Drop cherry-picked patches.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 13 Oct 2023 18:03:09 +0200

xterm (385-1) unstable; urgency=medium

  * New upstream release.
  * Use the new configure options --with-utmp-path=/var/run/utmp and
    --with-wtmp-path=/var/log/wtmp to ensure correct paths to these files
    in the manpage (Closes: #1042767).
  * Apply patch from xterm 385-a, fixing a typo in aclocal.m4 which
    leads to an incorrect path to the wtmp file in the manpage.
  * Apply patch from xterm 385-b: fix regression in sixel colors.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 07 Oct 2023 17:20:35 +0200
