=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  debhelper (>= 13.1~),
  autoconf-dickey (>= 2.52+20210509),
  groff,
- bsdextrautils | bsdmainutils (<< 12.1.1~),
+ bsdextrautils,
  lynx,
  xorg-docs-core,
  desktop-file-utils,
