## xterm 390-1ubuntu3trisquel1

=== debian/changelog ===
xterm (390-1ubuntu3trisquel1) ecne; urgency=medium

  * Do not install .desktop files

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Oct 2024 07:46:30 +0000
