=== debian/rules ===
--- 
+++ 
@@ -52,7 +52,9 @@
 		--enable-pty-erase \
 		--enable-sixel-graphics \
 		--with-utempter \
-		--with-desktop-category=System,TerminalEmulator, \
+		--with-utmp-path=/var/run/utmp \
+		--with-wtmp-path=/var/log/wtmp \
+		--disable-desktop \
 		DESKTOP_FLAGS="$(DESKTOP_FLAGS)" \
 		CFLAGS="$(CFLAGS)" \
 		CPPFLAGS="$(CPPFLAGS)" \
@@ -68,7 +70,7 @@
 	$(HTML2TEXT) debian/local/xterm.faq.html >debian/local/xterm.faq
 
 override_dh_auto_install:
-	dh_auto_install --destdir=debian/tmp -- install-desktop
+	dh_auto_install --destdir=debian/tmp 
 	## Install lxterm command and manual page.
 	install -m 755 debian/local/lxterm $(DEBTREEDIR)/usr/bin
 	install -m 755 debian/local/lxterm.1 $(DEBTREEDIR)/usr/share/man/man1
