=== debian/changelog ===
xterm (393-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 14 Jul 2024 17:42:19 +0200
