=== debian/changelog ===
xterm (394-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Sep 2024 13:59:21 +0200

xterm (394-1) unstable; urgency=medium

  [ Sven Joachim ]
  * New upstream release.
    - Add null-pointer check for a Heisenbug (Closes: #1078255).
  * Refresh Debian patches.

  [ Kirill Rekhov]
  * Use https URL in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 12 Sep 2024 18:47:28 +0200

xterm (393-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jul 2024 16:13:14 +0200
