=== debian/changelog ===
xterm (397-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2025 11:00:27 +0100

xterm (397-1) unstable; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.
  * Update copy of XTerm FAQ to revision 1.419 (dated 2022/12/15).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 10 Feb 2025 17:49:15 +0100
