=== debian/tests/control ===
Test-Command: xvfb-run xterm -version
Restrictions: superficial
Depends: xterm, xvfb, xauth
